#taken from: https://stackoverflow.com/questions/29954815/merge-multiple-declarative-bases-in-sqlalchemy
from sqlalchemy import MetaData
from sqlalchemy.ext.declarative import declarative_base
from .models_person import (
        Person,
        Base as PersonBase)
from .models_organisation import (
        Organisation,
        Base as OrganisationBase)

Base = declarative_base()
metadata = MetaData()

for declarative_base in [PersonBase, OrganisationBase]:
    for (table_name, table) in declarative_base.metadata.tables.items():
        metadata._add_table(table_name, table.schema, table)

Base.metadata = metadata
