#taken from: https://stackoverflow.com/questions/29954815/merge-multiple-declarative-bases-in-sqlalchemy
from sqlalchemy import MetaData
from sqlalchemy.ext.declarative import declarative_base
from .models_core import (
        Timeseries,
        Base as TimeseriesBase)
from .models_annotation import (
        TimeseriesAnnotation,
        Base as TimeseriesAnnotationBase)
from .models_role import (
        TimeseriesRole,
        Base as TimeseriesRoleBase)
from .models_programme import (
        TimeseriesProgramme,
        Base as TimeseriesProgrammBase)

Base = declarative_base()
metadata = MetaData()

for declarative_base in [TimeseriesBase, TimeseriesAnnotationBase, TimeseriesRoleBase, TimeseriesProgrammBase]:
    for (table_name, table) in declarative_base.metadata.tables.items():
        metadata._add_table(table_name, table.schema, table)

Base.metadata = metadata
